package com.hungraim.ism.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 失能人员信息列表VO
 */
@Data
public class DisableVO {
    //id
    private String applyId;
    //适用机构
    private String organName;
    //机构代码
    private String organId;
    //所在省市
    private String provincial;
    private String city;
    private String area;
    //失能人员姓名
    private String name;
    //失能人员身份证号码
    private String certiCode;
    //待遇类型
    private String treatmentTyte;
    //联系人姓名
    private String operName;
    //年龄
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;
    //性别
    private String gender;
    //失能人员身份证号码
    private String operCertiCode;
    //失能人员手机号
    private String tel;
    //失能人员固话
    private String fixedTel;
    //申请服务方式
    private String srvModeName;
    //诊断疾病
    private String disease;
    //申请时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date effTime;
    //申请来源 网厅：0，核心：1，手机端:2,待遇申请:3
    private String dataFrom;
    //审核状态
    private String applyStatus;
}
